Package org.jboss.resteasy.plugins.server.netty.cdi

## Class CdiRequestDispatcher

- java.lang.Object
- - org.jboss.resteasy.plugins.server.netty.RequestDispatcher
  - - org.jboss.resteasy.plugins.server.netty.cdi.CdiRequestDispatcher

-     @Vetoed
      public class CdiRequestDispatcher
      extends RequestDispatcher

  A request dispatcher that starts a RequestContext during invocation.

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.server.netty.RequestDispatcher

      `dispatcher, domain, providerFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CdiRequestDispatcher​(SynchronousDispatcher dispatcher, ResteasyProviderFactory providerFactory, SecurityDomain domain)` |
    `CdiRequestDispatcher​(SynchronousDispatcher dispatcher, ResteasyProviderFactory providerFactory, SecurityDomain domain, javax.enterprise.inject.Instance<Object> cdi)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `service​(io.netty.channel.ChannelHandlerContext ctx, HttpRequest request, HttpResponse response, boolean handleNotFound)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.netty.RequestDispatcher

      `getDispatcher, getDomain, getProviderFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CdiRequestDispatcher

          public CdiRequestDispatcher​(SynchronousDispatcher dispatcher,
                                      ResteasyProviderFactory providerFactory,
                                      SecurityDomain domain)

    - #### CdiRequestDispatcher

          public CdiRequestDispatcher​(SynchronousDispatcher dispatcher,
                                      ResteasyProviderFactory providerFactory,
                                      SecurityDomain domain,
                                      javax.enterprise.inject.Instance<Object> cdi)

  - ### Method Detail

    - #### service

          public void service​(io.netty.channel.ChannelHandlerContext ctx,
                              HttpRequest request,
                              HttpResponse response,
                              boolean handleNotFound)
                       throws IOException

      Overrides:
        `service` in class `RequestDispatcher`
      Throws:
        `IOException`